Distribution:   CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	a dcraw library wrapper
Name:		libkdcraw
Version:	0.1.4
Release:	2
License:	GNU/GPL 
URL:            http://www.kipi-plugins.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  kdelibs3-devel 
BuildRequires:  qt3-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libart_lgpl
BuildRequires:  glibc-devel
BuildRequires:  libidn-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description
libkdcraw is a C++ interface around dcraw binary program used to decode RAW
picture files. The library documentation is available on header files.

This library is used by kipi-plugins, digiKam and others kipi host programs.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --disable-static --with-extra-includes=/usr/include/kde

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# unpackaged files, conflict wirh KDEgraphics4
rm -Rf $RPM_BUILD_ROOT%{_datadir}/icons
rm -Rf $RPM_BUILD_ROOT%{_datadir}/locale


%files 
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/libkdcraw3/CAMERALIST
%{_libdir}/libkdcraw3/kdcraw

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libkdcraw

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.4-2
- moved prefix
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.4-1
- Version update
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.3-1
- Version update
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.1-1
- Initial Release
